<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMstSituations extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('mst_situations', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('code')->default(0); // 現状コード(value)
            $table->text('name'); // 現状名(name)
        });
        DB::statement("ALTER TABLE mst_situations COMMENT 'マスタ：現状'");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('mst_situations');
    }
}
